---
title: "Redirect to URL"
tags:
- action
- core
- core action unknown
---
# Redirect to URL

Available since: unknown



{!include/plugins/core/action/action_goto_action.md!}

## Fields

`URL`

:   The URL to which the user should be redirected. This can be an internal URL like /node/1234 or an external URL like http://example.com.

    {!include/plugins/core/action/action_goto_action/url.md!}

`Replace tokens`

:   When enabled, tokens will be replaced <em>before</em> executing the action. <strong>Please note:</strong> Actions might already take care of replacing tokens on their own. Therefore, use this option only with care and when it makes sense.

    {!include/plugins/core/action/action_goto_action/replace_tokens.md!}
