---
title: "ECA token generate event"
tags:
- event
- eca_base
- eca event 2.0.0
---
# ECA token generate event

Available since: 2.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_base/event/eca_base_eca_token_generate.md!}

## Fields

`Name of token`

:   Example: <em>mygroup:value</em>. Wildcards are supported, e.g. to react upon all "mygroup" tokens: <em>mygroup:*</em> Please provide the token name only, without brackets.

    {!include/plugins/eca_base/event/eca_base_eca_token_generate/token_name.md!}
