---
title: "Entity: field value is empty"
tags:
- condition
- eca_content
- eca condition 1.0.0
---
# Entity: field value is empty

Available since: 1.0.0

Evaluates if a value field of an entity is empty.

{!include/plugins/eca_content/condition/eca_entity_field_value_empty.md!}

## Fields

`Field name`

:   The field name of the entity to check, if its value is empty.

    {!include/plugins/eca_content/condition/eca_entity_field_value_empty/field_name.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_content/condition/eca_entity_field_value_empty/negate.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this condition should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/condition/eca_entity_field_value_empty/entity.md!}
