---
title: "Entity share: Relationship Field Value"
tags:
- event
- eca_entity_share_client
- eca_entity_share_client event 1.0.0
---
# Entity share: Relationship Field Value

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_entity_share_client/event/entity_share_client_rel_field_value.md!}

