---
title: "Form: add submit button"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form: add submit button

Available since: 1.0.0

Add a submit button with a type and a label to a form.

{!include/plugins/eca_form/action/eca_form_add_submit_button.md!}

## Fields

`Trigger name`

:   The trigger name must be a machine name and is used for being identified on form submission. Example: <em>accept</em>, <em>send</em>. It can later be accessed via token <em>[current_form:triggered]</em>.

    {!include/plugins/eca_form/action/eca_form_add_submit_button/name.md!}

`Button label`

:   The label of the button shown to the user.

    {!include/plugins/eca_form/action/eca_form_add_submit_button/value.md!}

`Button type`

:   Here you can select the type of the button from the list.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_form_add_submit_button_button_type</em>

    {!include/plugins/eca_form/action/eca_form_add_submit_button/button_type.md!}

`Element weight`

:   The lower the weight, the submit action appears before other submit actions having a higher weight.

    {!include/plugins/eca_form/action/eca_form_add_submit_button/weight.md!}
