---
title: " Projects: trigger Pipeline"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Projects: trigger Pipeline

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_triggerpipeline.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:projects_triggerpipeline_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_triggerpipeline/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_triggerpipeline/token_name.md!}

`Project Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_triggerpipeline/api_project_id.md!}

`Ref`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_triggerpipeline/api_ref.md!}

`Token`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_triggerpipeline/api_token.md!}

`Variables`

:   Provide a YAML array.<br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_triggerpipeline/api_variables.md!}
