---
title: " Schedules: update Variable"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Schedules: update Variable

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_schedules_updatevariable.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:schedules_updatevariable_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_schedules_updatevariable/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_schedules_updatevariable/token_name.md!}

`Project Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_schedules_updatevariable/api_project_id.md!}

`Schedule Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_schedules_updatevariable/api_schedule_id.md!}

`Variable Key`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_schedules_updatevariable/api_variable_key.md!}

`Params`

:   Provide a YAML array.<br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_schedules_updatevariable/api_params.md!}
