---
title: " Users: update"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Users: update

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_users_update.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:users_update_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_users_update/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_users_update/token_name.md!}

`Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_users_update/api_id.md!}

`Params`

:   Provide a YAML array.<br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_users_update/api_params.md!}

`Files`

:   Provide a YAML array.<br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_users_update/api_files.md!}
