---
title: "Saving migration row"
tags:
- event
- eca_migrate
- eca event 1.0.0
---
# Saving migration row

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[migration]` | The migration plugin being run. |
    | `[row]` | The row about to be imported. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_migrate/event/migrate_pre_row_save.md!}

