---
title: "Select page display mode"
tags:
- event
- eca_misc
- eca event 1.0.0
---
# Select page display mode

Available since: 1.0.0

Fires when selecting a page display variant to use.

!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_misc/event/drupal_select_page_display_variant.md!}

