---
title: "Enqueue a task"
tags:
- action
- eca_queue
- eca action 1.0.0
---
# Enqueue a task

Available since: 1.0.0



{!include/plugins/eca_queue/action/eca_enqueue_task.md!}

## Fields

`Task name`

:   The task name will be used to identify, what type of task is to be processed. When multiple tasks are created that are of the same nature, they should share the same task name. When reacting upon the event "ECA processing queued task", you can use this name to recognize the task.

    {!include/plugins/eca_queue/action/eca_enqueue_task/task_name.md!}

`Task value (optional)`

:   You may optionally define a task value here for more granular task control.

    {!include/plugins/eca_queue/action/eca_enqueue_task/task_value.md!}

`Tokens to forward`

:   Comma separated list of token names from the current context, that will be put into the task.

    {!include/plugins/eca_queue/action/eca_enqueue_task/tokens.md!}
