---
title: "Enqueue a task with a delay"
tags:
- action
- eca_queue
- eca action 1.0.0
---
# Enqueue a task with a delay

Available since: 1.0.0



{!include/plugins/eca_queue/action/eca_enqueue_task_delayed.md!}

## Fields

`Delay value`

:   <br/>This field supports tokens.

    {!include/plugins/eca_queue/action/eca_enqueue_task_delayed/delay_value.md!}

`Delay unit`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_enqueue_task_delayed_delay_unit</em>

    {!include/plugins/eca_queue/action/eca_enqueue_task_delayed/delay_unit.md!}

`Task name`

:   The task name will be used to identify, what type of task is to be processed. When multiple tasks are created that are of the same nature, they should share the same task name. When reacting upon the event "ECA processing queued task", you can use this name to recognize the task.

    {!include/plugins/eca_queue/action/eca_enqueue_task_delayed/task_name.md!}

`Task value (optional)`

:   You may optionally define a task value here for more granular task control.

    {!include/plugins/eca_queue/action/eca_enqueue_task_delayed/task_value.md!}

`Tokens to forward`

:   Comma separated list of token names from the current context, that will be put into the task.

    {!include/plugins/eca_queue/action/eca_enqueue_task_delayed/tokens.md!}
