---
title: "Render: add class"
tags:
- action
- eca_render
- eca action 2.0.0
---
# Render: add class

Available since: 2.0.0

Add a class to the attributes of an existing render array element. Only works when reacting upon a rendering event, such as <em>Build form</em> or <em>Build ECA Block</em>.

{!include/plugins/eca_render/action/eca_render_add_class.md!}

## Fields

`Machine name`

:   Specify the machine name / key of the render element.

    {!include/plugins/eca_render/action/eca_render_add_class/name.md!}

`Class name`

:   The name of the class.<br/>This field supports tokens.

    {!include/plugins/eca_render/action/eca_render_add_class/class.md!}
