---
title: "ECA lazy element"
tags:
- event
- eca_render
- eca event 1.1.0
---
# ECA lazy element

Available since: 1.1.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[argument]` | An optional argument for rendering the element. |
    | `[name]` | The name that identifies the lazy element for the event. |
    | `[event]` | The event. |
    | `[event:argument]` | An optional argument for rendering the element. |
    | `[event:name]` | The name that identifies the lazy element for the event. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_render/event/eca_render_lazy_element.md!}

## Fields

`Element name`

:   The name of the element, as it was specified in the configured action <em>Render: lazy element</em>. In any successor of this event, you have access to following tokens:<ul><li><strong>[name]</strong>: Contains the name of the element.</li><li><strong>[argument]</strong>: Contains the optional argument for the element.</li></ul>

    {!include/plugins/eca_render/event/eca_render_lazy_element/name.md!}
