---
title: "ECA Views field"
tags:
- event
- eca_render
- eca event 1.1.0
---
# ECA Views field

Available since: 1.1.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[entity]` | The entity. |
    | `[ENTITY_TYPE]` | The entity by entity type, or the related entity by entity type. |
    | `[RELATED_ENTITY]` | The related entity. |
    | `[event]` | The event. |
    | `[event:entity]` | The entity. |
    | `[event:relationship]` | Get the relationship entities of the views row. |
    | `[event:view_display]` | The current display of the view. |
    | `[event:view_id]` | The view ID. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |
    | `[entity]` | The entity of the event. |
    | `[ENTITY_TYPE]` | The entity of the event under the name of its entity type. |

{!include/plugins/eca_render/event/eca_render_views_field.md!}

## Fields

`Field name`

:   The specified name of the field, as it is configured in the view.

    {!include/plugins/eca_render/event/eca_render_views_field/name.md!}
