---
title: "Tamper: Explode"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Explode

Available since: 1.0.0

Break up sequenced data into an array

{!include/plugins/eca_tamper/action/eca_tamper_explode.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_explode/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_explode/eca_token_name.md!}

`String separator`

:   This will break up sequenced data into an array. For example, "a, b, c" would get broken up into the array('a', 'b', 'c'). A space can be represented by %s, tabs by %t, newlines by %n, and carriage returns by %r.

    {!include/plugins/eca_tamper/action/eca_tamper_explode/separator.md!}

`Limit`

:   If limit is set and positive, the returned items will contain a maximum of limit with the last item containing the rest of string. If limit is negative, all components except the last -limit are returned. If the limit parameter is zero, then this is treated as 1. If limit is not set, then there will be no limit on the number of items returned.

    {!include/plugins/eca_tamper/action/eca_tamper_explode/limit.md!}
