---
title: "Tamper: Aggregate"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Aggregate

Available since: 1.0.0

Aggregates data, such as picking the maximum value.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_aggregate.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:aggregate_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_aggregate/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:aggregate_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_aggregate/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_aggregate/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_aggregate/negate.md!}

`Function`

:   Method of how to process multiple values into a single value.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_aggregate/function.md!}

`Count mode`

:   The recursive option will count all elements in a multidimensional array.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_aggregate/count.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_aggregate/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_aggregate/right.md!}
