---
title: "Tamper: Transliterates text from Unicode to US-ASCII."
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Transliterates text from Unicode to US-ASCII.

Available since: 1.0.0

Runs the value through the transliteration service. Letters will have language decorations and accents removed.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_transliteration.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:transliteration_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_transliteration/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:transliteration_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_transliteration/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_transliteration/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_transliteration/negate.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_transliteration/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_transliteration/right.md!}
