---
title: "ID of user"
tags:
- condition
- eca_user
- eca condition 1.0.0
---
# ID of user

Available since: 1.0.0

Compares a user ID with a loaded ID of a given user account.

{!include/plugins/eca_user/condition/eca_user_id.md!}

## Fields

`User account`

:   The ID of an account or a token with a stored account entity.

    {!include/plugins/eca_user/condition/eca_user_id/account.md!}

`User ID`

:   The user ID, which gets compared.<br/>This field supports tokens.

    {!include/plugins/eca_user/condition/eca_user_id/user_id.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_user/condition/eca_user_id/negate.md!}
