---
title: "Views: Post Build"
tags:
- event
- eca_views
- eca event 2.0.0
---
# Views: Post Build

Available since: 2.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_views/event/eca_views_post_build.md!}

## Fields

`View`

:   Select the view from the list.

    {!include/plugins/eca_views/event/eca_views_post_build/view_id.md!}
