---
title: "Product: Default variation"
tags:
- event
- eca_commerce
- eca_commerce event 1.0.0
---
# Product: Default variation

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[commerce_product]` | The product entity. This is not the variation. |
    | `[commerce_product_variation_default]` | This is the default product variation. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_commerce/event/eca_commerce_product_default_variation.md!}

