---
title: "Rename config"
tags:
- event
- eca_config
- eca event 1.0.0
---
# Rename config

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[config]` | The configuration with all current values. |
    | `[config_original]` | The configuration with all original values plus overrides. |
    | `[config_name]` | The name of the configuration. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_config/event/config_rename.md!}

