---
title: "Preload content entity"
tags:
- event
- eca_content
- eca event 1.0.0
---
# Preload content entity

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:entity_type_id]` | The entity type. |
    | `[event:ids]` | The IDs of the entities. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_content/event/content_entity_preload.md!}

## Fields

`Type (and bundle)`

:   

    {!include/plugins/eca_content/event/content_entity_preload/type.md!}
