---
title: "Initialize content entity revision"
tags:
- event
- eca_content
- eca event 1.0.0
---
# Initialize content entity revision

Available since: 1.0.0

An entity revision object is being created (instantiated) on runtime, without being saved.

!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |
    | `[entity]` | The entity of the event. |
    | `[ENTITY_TYPE]` | The entity of the event under the name of its entity type. |

{!include/plugins/eca_content/event/content_entity_revisioncreate.md!}

## Fields

`Type (and bundle)`

:   

    {!include/plugins/eca_content/event/content_entity_revisioncreate/type.md!}
