---
title: "Recipient Selection"
tags:
- event
- eca_danse
- danse event 2.3.0
---
# Recipient Selection

Available since: 2.3.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_danse/event/danse_danse_recipient_selection.md!}

## Fields

`Event ID`

:   The event ID to trigger this event directly.

    {!include/plugins/eca_danse/event/danse_danse_recipient_selection/event_id.md!}
