---
title: "Insert flagging"
tags:
- event
- eca_flag
- eca_flag event 1.0.0
---
# Insert flagging

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[flagging]` | The flagging entity. |
    | `[flag]` | The flag entity. |
    | `[entity]` | The flagged entity |
    | `[event]` | The event. |
    | `[event:flag]` | The flag entity. |
    | `[event:flagging]` | The flagging entity. |
    | `[event:entity]` | The flagged entity. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_flag/event/flag_insert.md!}

