---
title: " Jobs: trace"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Jobs: trace

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_jobs_trace.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:jobs_trace_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_jobs_trace/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_jobs_trace/token_name.md!}

`Project Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_jobs_trace/api_project_id.md!}

`Job Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_jobs_trace/api_job_id.md!}
