---
title: " Projects: update Variable"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Projects: update Variable

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updatevariable.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:projects_updatevariable_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updatevariable/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updatevariable/token_name.md!}

`Project Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updatevariable/api_project_id.md!}

`Key`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updatevariable/api_key.md!}

`Value`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updatevariable/api_value.md!}

`Protected`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updatevariable/api_protected.md!}

`Environment Scope`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updatevariable/api_environment_scope.md!}

`Parameters`

:   Provide a YAML array.<br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updatevariable/api_parameters.md!}
