---
title: " System Hooks: create"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  System Hooks: create

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_systemhooks_create.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:systemhooks_create_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_systemhooks_create/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_systemhooks_create/token_name.md!}

`Url`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_systemhooks_create/api_url.md!}

`Parameters`

:   Provide a YAML array.<br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_systemhooks_create/api_parameters.md!}
