---
title: "Sanitize file name"
tags:
- event
- eca_misc
- eca event 1.0.0
---
# Sanitize file name

Available since: 1.0.0

Fires during a file upload that lets subscribers sanitize the filename.

!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_misc/event/drupal_file_upload_sanitize_name_event.md!}

