---
title: "Controller found to handle request"
tags:
- event
- eca_misc
- eca event 1.0.0
---
# Controller found to handle request

Available since: 1.0.0

Fires, once a controller was found for handling a request.

!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_misc/event/kernel_controller.md!}

