---
title: "Response for request created"
tags:
- event
- eca_misc
- eca event 1.0.0
---
# Response for request created

Available since: 1.0.0

Fires, when a response was generated for a request.

!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_misc/event/kernel_finish_request.md!}

