---
title: "Requesting parameter"
tags:
- event
- eca_parameters
- eca_parameters event 1.0.0
---
# Requesting parameter

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:parameter_name]` | The parameter name. |
    | `[event:entity]` | The entity. |
    | `[event:ENTITY_TYPE]` | The entity type. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_parameters/event/parameters_request.md!}

## Fields

`Parameter name`

:   The machine name of the requested parameter. Examples: <em>my_eca_parameter</em>, <em>my_global_param</em>, <em>my_article_param</em>.

    {!include/plugins/eca_parameters/event/parameters_request/parameter_name.md!}
