---
title: "Tamper: Convert to Boolean"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Convert to Boolean

Available since: 1.0.0

Convert to boolean.

{!include/plugins/eca_tamper/action/eca_tamper_convert_boolean.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_convert_boolean/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_convert_boolean/eca_token_name.md!}

`Truth`

:   The value set to true.

    {!include/plugins/eca_tamper/action/eca_tamper_convert_boolean/true_value.md!}

`False`

:   The value set to false.

    {!include/plugins/eca_tamper/action/eca_tamper_convert_boolean/false_value.md!}

`Match case`

:   Match the case.

    {!include/plugins/eca_tamper/action/eca_tamper_convert_boolean/match_case.md!}

`If no match`

:   The value to set if the true and false values do not match.

    {!include/plugins/eca_tamper/action/eca_tamper_convert_boolean/no_match_value.md!}

`Other text`

:   

    {!include/plugins/eca_tamper/action/eca_tamper_convert_boolean/other_text.md!}
