---
title: "Tamper: Find replace REGEX"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Find replace REGEX

Available since: 1.0.0

Find replace REGEX

{!include/plugins/eca_tamper/action/eca_tamper_find_replace_regex.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_find_replace_regex/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_find_replace_regex/eca_token_name.md!}

`REGEX to find`

:   A regular expression in the form: /<your regex here>/

    {!include/plugins/eca_tamper/action/eca_tamper_find_replace_regex/find.md!}

`Replacement pattern`

:   The replacement pattern.

    {!include/plugins/eca_tamper/action/eca_tamper_find_replace_regex/replace.md!}

`Limit number of replacements`

:   This sets an optional limit. Leave it blank for no limit.

    {!include/plugins/eca_tamper/action/eca_tamper_find_replace_regex/limit.md!}
