---
title: "Set current user"
tags:
- event
- eca_user
- eca event 1.0.0
---
# Set current user

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[account]` | The user entity of the event.<br /> Alias: `entity` |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_user/event/user_set_user.md!}

