---
title: "VBO: Get configuration value"
tags:
- action
- eca_vbo
- eca_vbo action 1.0.0
---
# VBO: Get configuration value

Available since: 1.0.0

Get a configuration value from the action of the bulk operation and store it as a token.

{!include/plugins/eca_vbo/action/eca_vbo_get_config_value.md!}

## Fields

`Config key`

:   The config key, for example <em>message_text</em>. This may also be the machine name of a custom form field. Leave empty to use the whole config. <strong>Please note:</strong> This action only works upon the event <em>VBO: Execute Views bulk operation</em>.

    {!include/plugins/eca_vbo/action/eca_vbo_get_config_value/config_key.md!}

`Name of token`

:   The targeted configuration value will be loaded into this specified token.

    {!include/plugins/eca_vbo/action/eca_vbo_get_config_value/token_name.md!}

`Replace tokens`

:   When checked, existing Tokens within the user-provided configuration input will be replaced.

    {!include/plugins/eca_vbo/action/eca_vbo_get_config_value/replace_tokens.md!}

`Default value`

:   Optionally specify a default value when no value is given for the specified config key.<br/>This field supports tokens.

    {!include/plugins/eca_vbo/action/eca_vbo_get_config_value/default_value.md!}
